﻿@model Tuple<List<DraftLineView>, string>

<table class="table" style="background-color:#fff;">
    <thead>
        <tr>
            <th width="2%" align="center">&nbsp;</th>
            <th width="4%" align="center">#</th>
            <th width="21%">@PurchaseOrders.Line #</th>
            <th width="24%">@Shipment.IC</th>
            <th width="24%">@PurchaseOrders.Qty</th>
        </tr>
    </thead>
    <tbody style="height:100px; overflow-y:scroll;">
        @foreach (DraftLineView mDraftLine in Model.Item1)
        {
            string mLineID = "LineID_" + mDraftLine.DocEntry + "_" + mDraftLine.LineNum + "_" + Model.Item2;
            string mDocEntry = "DocEntry_" + mDraftLine.DocEntry + "_" + mDraftLine.LineNum + "_" + Model.Item2;
            string mItemCode = "ItemCode_" + mDraftLine.DocEntry + "_" + mDraftLine.LineNum + "_" + Model.Item2;
            string mQuantity = "Quantity_" + mDraftLine.DocEntry + "_" + mDraftLine.LineNum + "_" + Model.Item2;
            string mLineNum = "LineNum_" + mDraftLine.DocEntry + "_" + mDraftLine.LineNum + "_" + Model.Item2;
            string mLineValue = mDraftLine.DocEntry + "_" + mDraftLine.LineNum + "_" + Model.Item2;

            <tr class="">
                <td align="center"><input type="checkbox" id="@mLineID" name="@mLineID" value="@mLineValue"></td>
                <td><input class="form-control" id="@mDocEntry" name="@mDocEntry" value="@mDraftLine.DocEntry"></td>
                <td><input class="form-control" id="@mLineNum" name="@mLineNum" value="@mDraftLine.LineNum"></td>
                <td><input class="form-control" id="@mItemCode" name="@mItemCode" value="@mDraftLine.ItemCode"></td>
                <td><input class="form-control" id="@mQuantity" name="@mQuantity" value="@mDraftLine.Quantity"></td>
            </tr>
        }
    </tbody>
</table>